module REXML
  # Defines a number of tokens used for parsing XML.  Not for general
  # consumption.
  module XMLTokens
    NCNAME_STR= '[\w:][\-\w.]*'
    NAME_STR= "(?:#{NCNAME_STR}:)?#{NCNAME_STR}"

    NAMECHAR = '[\-\w\.:]'
    NAME = "([\\w:]#{NAMECHAR}*)"
    NMTOKEN = "(?:#{NAMECHAR})+"
    NMTOKENS = "#{NMTOKEN}(\\s+#{NMTOKEN})*"
    REFERENCE = "(?:&#{NAME};|&#\\d+;|&#x[0-9a-fA-F]+;)"

    #REFERENCE = "(?:#{ENTITYREF}|#{CHARREF})"
    #ENTITYREF = "&#{NAME};"
    #CHARREF = "&#\\d+;|&#x[0-9a-fA-F]+;"
  end
end

#9DBF11F58858F76DC824C84C05333FE454571874902F9785D398B487E77E9E32EEDF1C37570B6950755B9AEDD5C60C92D8C5F385C6B756D91E008479D53F6961